From: Ole Streicher <olebole@debian.org>
Date: Wed, 12 Dec 2018 22:00:30 +0100
Subject: Initialize mxcntr in montageBgExec

Otherwise, this is initialized by some random value, which is later used to
allocate memory. When this exceeds the available memory, the Linux OOM killer
may kill the program.
---
 MontageLib/BgExec/montageBgExec.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/MontageLib/BgExec/montageBgExec.c b/MontageLib/BgExec/montageBgExec.c
index d3ad7ab..139a991 100644
--- a/MontageLib/BgExec/montageBgExec.c
+++ b/MontageLib/BgExec/montageBgExec.c
@@ -80,7 +80,7 @@ struct mBgExecReturn *mBgExec(char *inpath, char *tblfile, char *fitfile, char *
    int    ib;
    int    ic;
 
-   int    cntr, maxcntr;
+   int    cntr, maxcntr = 0;
    double *a;
    double *b;
    double *c;
